/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package acctomdbacc;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.jms.ConnectionFactory;
import javax.jms.JMSConnectionFactoryDefinition;
import javax.jms.JMSContext;
import javax.jms.JMSDestinationDefinition;
import javax.jms.Queue;
import javax.naming.InitialContext;
import javax.naming.NamingException;

@JMSDestinationDefinition(
        name = "java:app/jms/testQueue1", 
        interfaceName = "javax.jms.Queue", 
        resourceAdapter = "jmsra", 
        destinationName = "testQueue1")

@JMSConnectionFactoryDefinition(
        name = "java:app/jms/testConnectionFactory"
)

public class Main {
   
    @Resource(lookup="java:app/jms/testConnectionFactory") static ConnectionFactory connectionFactory;
    @Resource(lookup="java:app/jms/testQueue1") static Queue queue;
    
    public static void main(String[] args) {       
        System.out.println("About to send message");
        try (JMSContext context = connectionFactory.createContext()){
            context.createProducer().send(queue,"Hello world");
            System.out.println("Successfully sent message");
        }
    }
}
